<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('admin')->group(function() {
    //摄像头管理
    Route::get('/camera', 'CameraController@index');
    Route::get('/camera/list', 'CameraController@cameraList');
    Route::get('/camera/list/view', 'CameraController@cameraListView');
    Route::get('/camera/list/add', 'CameraController@cameraListAdd');
    Route::post('/camera/list/add', 'CameraController@cameraListAddPost');
    Route::get('/camera/list/edit', 'CameraController@cameraListEdit');
    Route::post('/camera/list/edit', 'CameraController@cameraListEditPost');
    Route::post('/camera/list/del', 'CameraController@cameraListDelPost');
    Route::any('/camera/list/import', 'CameraController@cameraListImport');
    Route::get('/camera/list/importTemplate', 'CameraController@cameraListTemplate');
    Route::post('/camera/upload/cover_picture', 'CameraController@cameraUploadCpicture');
    Route::get('/camera/mine/list', 'CameraController@mineList');//摄像头管理区域列表ajax
    Route::get('/camera/update', 'CameraController@cameraUpdate');//摄像头列表更新ajax
    Route::get('/camera/camerapage', 'CameraController@camerapage');//摄像头列表分页ajax

    //摄像头链接生成字段管理
//    Route::get('/camera/field_list', 'CameraController@fieldList');
//    Route::get('/camera/field_list/add', 'CameraController@fieldListAdd');
//    Route::post('/camera/field_list/add', 'CameraController@fieldListAddPost');
//    Route::get('/camera/field_list/edit', 'CameraController@fieldListEdit');
//    Route::post('/camera/field_list/edit', 'CameraController@fieldListEditPost');
//    Route::post('/camera/field_list/del', 'CameraController@fieldListDelPost');
});
